#include "gameintoption.h"
#include "ui_gameintoption.h"

GameIntOption::GameIntOption(QString cmd, QString txt, QWidget *parent) : GameOption(cmd, txt, parent), m_ui(new Ui::GameIntOption) {
	m_ui->setupUi(this);

	setText(text);

	connect(m_ui->bSet, SIGNAL(clicked()), this, SLOT(emitOptionChanged()));
	connect(m_ui->sbValue, SIGNAL(editingFinished()), this, SLOT(emitOptionChanged()));
}

GameIntOption::~GameIntOption() {
	delete m_ui;
}

void GameIntOption::setValue(QString value) {
	int val = value.toInt();
	m_ui->sbValue->setValue(val);
	m_ui->lText->setText(text+"(Current: "+QString::number(val)+"):");
}

void GameIntOption::setText(QString txt) {
	m_ui->lText->setText(txt+"(Current: "+QString::number(m_ui->sbValue->value())+"):");
}

void GameIntOption::emitOptionChanged() {
	QString cmd = command+QString::number(m_ui->sbValue->value());
	emit(optionChanged(cmd));
}

void GameIntOption::changeEvent(QEvent *e) {
	QWidget::changeEvent(e);
	switch (e->type()) {
		case QEvent::LanguageChange:
			m_ui->retranslateUi(this);
			break;
		default:
			break;
	}
}
